From be58bd294b741a50474c276e8d719f731973257b Mon Sep 17 00:00:00 2001
From: John Wiegley <johnw@newartisans.com>
Date: Mon, 19 Oct 2009 04:00:35 -0400
Subject: [PATCH 3/5] Set day-of-week in result from `org-parse-time-string'

(org-parse-time-string): Set the day-of-week field after parsing a time,
since this information is always in the time string.
---
 lisp/ChangeLog |    2 ++
 lisp/org.el    |    9 ++++++++-
 2 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/lisp/ChangeLog b/lisp/ChangeLog
index a5f8b7f..6810f7e 100755
--- a/lisp/ChangeLog
+++ b/lisp/ChangeLog
@@ -4,6 +4,8 @@
 	leaders for repeat strings.
 	(org-get-repeat): Now takes a string parameter `tagline', so the
 	caller can obtain the SCHEDULED repeat, or the DEADLINE repeat.
+	(org-parse-time-string): Set the day-of-week field after parsing a
+	time, since this information is always in the time string.
 
 2009-10-19  John Wiegley  <johnw@newartisans.com>
 
diff --git a/lisp/org.el b/lisp/org.el
index 2b202d8..eb45eea 100644
--- a/lisp/org.el
+++ b/lisp/org.el
@@ -13457,7 +13457,14 @@ hour and minute fields will be nil if not given."
 	    (string-to-number (match-string 4 s))
 	    (string-to-number (match-string 3 s))
 	    (string-to-number (match-string 2 s))
-	    nil nil nil)
+	    (let ((dow (match-string 5 s)))
+	      (cond ((string= dow "Sun") 0)
+		    ((string= dow "Mon") 1)
+		    ((string= dow "Tue") 2)
+		    ((string= dow "Wed") 3)
+		    ((string= dow "Thu") 4)
+		    ((string= dow "Fri") 5)
+		    ((string= dow "Sat") 6))) nil nil)
     (error "Not a standard Org-mode time string: %s" s)))
 
 (defun org-timestamp-up (&optional arg)
-- 
1.6.5

